#ifndef COORDINATE_H
#define COORDINATE_H

#include"radian.h"
#include<qstring.h>

/*
#define _DEBUG_PRINT
*/

class Coordinate {
	public:
		Coordinate(long radEW = 0, long radNS = 0, int intHight = 0);
		Coordinate(Radian radEW, Radian radNS, int intHight = 0);
		void setRadEW(Radian radEW);
		void setRadNS(Radian radNS);
		void setIntHight(int intHight);
		Radian getRadEW();
		Radian getRadNS();
		int getIntHight();
		QString toString();
		bool parse(const QString &str);
		void convTokyoToWGS84();
		void convWGS84ToTokyo();
		Coordinate& operator=(Coordinate value);

	private:
		Radian _radEW;
		Radian _radNS;
		int    _intHight;
};

#endif //COORDINATE_H
